function specan_disconnect(obj)
%SPECAN_DISCONNECT Verbindung zum Spektralanalysator schlieen
%   Kommunikation erfolgt mit SCPI-Befehlen
%   input arguments
%       obj             Instrument Object
%
%   Instrument Control Toolbox 
%       S. 1-23 bis 1-24
%
%   05.09.2019          T. Weber    
%   13.12.2020          Untersttzung fr FPC1500 und FPL1003 hinzugefgt

switch obj.Name
    case 'none'
        
    case {'zvl','fsq','fpl','fpc'}
        fclose(obj);
        delete(obj);
        
    otherwise
    	error('unsupported spectrum analyzer');
        
end

end
