function src_disconnect(obj)
%SRC_DISCONNECT Verbindung zum Signalgenerator schlieen
%   Kommunikation erfolgt mit SCPI-Befehlen
%   input arguments
%       obj             Instrument Object
%
%   Instrument Control Toolbox 
%       S. 1-23 bis 1-24
%
%   29.12.2020          T. Weber    

switch obj.Name
    case 'none'
        
    case {'smc1','smc2'}
        fclose(obj);
        delete(obj);
        
    otherwise
    	error('unsupported signal generator');
        
end

end
